Subject: [TR] Triumph Electric Fuel Pump

From: Jeffrey Gayton <[email-masked]>
Date: Mon, 03 Aug 2015 16:22:18 -0700

Does anyone know the manufacturer and model number of the optional electric fuel pump Triumph sold for the TR4? And any thoughts on how crazy it would be to find and fit one? I care too much about (the appearance of) originality to go with a modern unit. A vintage one would be fun, and I’m hoping it might help with cold-starting woes. If I’ve not run the car for a couple of days, it takes a very long time for it to turn over, and it sounds to me like it’s because it takes a long time to get fuel to the carbs. Once it’s running, it’s fine. And starting up after a day or two doesn’t take nearly as long.

Thanks.

Jeff Gayton

1962 Triumph TR4

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]